Merchant Balance

Returns the current balance for the authenticated merchant, including available funds, reserved amounts, and pending payouts.

export FRAME_API_KEY='sk_sandbox_...'

Retrieve merchant balance

Returns the current balance for the authenticated merchant, including available funds, reserved amounts, and pending payouts.

Parameters

No parameters.

Returns

Balance unavailable from external provider

GET/v1/merchant_balance
curl --request GET \
  --url https://api.framepayments.com/v1/merchant_balance \
  --header 'Authorization: Bearer API_KEY'
RESPONSE
{
  "merchant_id": "00000000-0000-4000-8000-000000000001",
  "currency": "USD",
  "dots_balance": 50000,
  "available_for_payout": 40000,
  "reserved_amount": 5000,
  "pending_payouts": 5000,
  "last_updated_at": "2025-04-20T00:00:00Z",
  "source": "api",
  "status": "UNAVAILABLE",
  "reason_code": "DOTS_API_ERROR"
}